use deep_variant::DeepVariant;
use nanomonsv::NanomonSV;
use clairs::ClairS;

pub mod clairs;
pub mod deep_variant;
pub mod nanomonsv;
pub mod savana;
pub mod severus;

#[derive(Debug)]
pub enum CallersSolo {
    DeepVariant(DeepVariant),
    NanomonSV(NanomonSV),
}

#[derive(Debug)]
pub enum CallersSomatic {
    ClairS(ClairS)
}

#[derive(Debug)]
pub enum Callers {
    CallersSomatic,
    CallersSolo,
}
